## cumin 4.1.1

=== debian/changelog ===
cumin (4.1.1-2) unstable; urgency=medium

  * upload to experimental (Closes: #924685)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 23 Nov 2022 09:49:53 -0500

cumin (4.1.1-1) unstable; urgency=medium

  * v4.1.1 upstream release.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Wed, 23 Jun 2021 13:23:19 -0000

cumin (4.1.0-1) unstable; urgency=medium

  * v4.1.0 upstream release.
  * Removed python3-flake8 from Build-Depends.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Mon, 03 May 2021 11:06:40 -0000

cumin (4.0.0-1) buster-wikimedia; urgency=medium

  * v4.0.0 upstream release, no code changes.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Thu, 10 Sep 2020 15:46:46 +0200

cumin (4.0.0~rc1-1) buster-wikimedia; urgency=medium

  * v4.0.0rc1 upstream release.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Tue, 09 Jun 2020 18:41:29 +0200

cumin (3.0.2-1) jessie-wikimedia; urgency=medium

  * v3.0.2 upstream release.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Mon, 30 Jul 2018 12:26:33 +0200

cumin (3.0.1-1) jessie-wikimedia; urgency=medium

  * v3.0.1 upstream release.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Mon, 19 Feb 2018 22:35:42 +0100

cumin (3.0.0-1) jessie-wikimedia; urgency=medium

  * v3.0.0 upstream release.
  * Migration to Python 3, dropping support of Python 2.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Mon, 19 Feb 2018 16:54:25 +0100

cumin (2.0.0-1) jessie-wikimedia; urgency=medium

  * v2.0.0 upstream release.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Fri, 19 Jan 2018 17:48:55 +0100

cumin (1.3.0-1) jessie-wikimedia; urgency=medium

  * v1.3.0 upstream release.
  * Fix upstream-tag in debian/gbp.conf.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Fri, 03 Nov 2017 16:05:12 +0100

cumin (1.2.2-1) jessie-wikimedia; urgency=medium

  * v1.2.2 upstream release.
  * Bump Standards-Version to 3.9.8
  * Change Section to utils
  * Add Sphinx-related Build-Depends in order to build documentation and manpage
  * Override dh_installman to generate the manpage that will be installed
  * Add cumin.manpages to let dh install the manpage
  * Add OpenStack backend dependencies as Suggests, given that they are now
    optional in setup.py
  * Add upstream signing GPG key
  * Add watch file to track GitHub releases

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Wed, 11 Oct 2017 22:43:05 +0200

cumin (1.2.1-1) jessie-wikimedia; urgency=medium

  * 1.2.1 upstream release.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Wed, 27 Sep 2017 16:04:24 +0200

cumin (1.1.1-1) jessie-wikimedia; urgency=medium

  * 1.1.1 upstream release.
  * Improve version detection for setuptools-scm.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Tue, 26 Sep 2017 11:04:24 +0200

cumin (1.1.0-1) jessie-wikimedia; urgency=medium

  * 1.1.0 upstream release.
  * Update Build-Depends.
  * Revert example files hotfix for https://phabricator.wikimedia.org/T174008.
  * Fix tests run with setuptools-scm

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Thu, 21 Sep 2017 23:02:24 +0200

cumin (1.0.0-1) jessie-wikimedia; urgency=medium

  * 1.0.0 upstream release.
  * Add new Build-Depends required by upstream
  * Bump debhelper to >= 10
  * Migrate build system to pybuild
  * Use pytest to run the tests
  * Override dh_auto_test to only run unit tests, to avoid the additional
    dependencies for the other static analysis tools.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Wed, 23 Aug 2017 23:02:24 +0200

cumin (0.0.2-1) jessie-wikimedia; urgency=medium

  * Upgrade to version 0.0.2.
  * Add support for batch processing.
  * Minor fixes and improvements.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Wed, 15 Mar 2017 18:12:24 +0100

cumin (0.0.1-1) jessie-wikimedia; urgency=medium

  * Initial packaging.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Thu, 16 Feb 2017 11:15:24 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = cumin
export PYBUILD_TEST_PYTEST = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	SETUPTOOLS_SCM_PRETEND_VERSION="$(shell dpkg-parsechangelog -S version | cut -d '+' -f 1)" python3 setup.py develop --user
	py.test-3 --strict --cov-report term-missing --cov=cumin cumin/tests/unit

override_dh_auto_clean:
	# Skip the default dh_auto_clean

override_dh_installman:
	SETUPTOOLS_SCM_PRETEND_VERSION="$(shell dpkg-parsechangelog -S version | cut -d '+' -f 1)" python3 setup.py build_sphinx -b man
	sed -i='' -e 's/^\.B/.B /' doc/build/man/cumin.1
	dh_installman

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/wikimedia/cumin/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## cumin 4.2.0

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Cumin
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
cumin (4.2.0-1) unstable; urgency=medium

  * v4.2.0 upstream release. (Closes: #1026005)

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Thu, 12 Jan 2023 18:06:38 -0000

=== debian/control ===
Source: cumin
Section: utils
Priority: optional
Maintainer: Riccardo Coccioli <rcoccioli@wikimedia.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Standards-Version: 4.5.0
Build-Depends:
  debhelper (>= 12),
  dh-python (>= 3.20190308~),
  python3-all (>= 3.7),
  python3-clustershell,
  python3-keystoneauth1,
  python3-keystoneclient,
  python3-novaclient,
  python3-pyparsing,
  python3-pytest,
  python3-pytest-cov,
  python3-pytest-runner,
  python3-requests,
  python3-requests-mock,
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
  python3-sphinx-argparse,
  python3-sphinx-rtd-theme,
  python3-tqdm,
  python3-yaml
Homepage: https://github.com/wikimedia/cumin
Vcs-Browser: https://salsa.debian.org/python-team/packages/cumin/
Vcs-Git: https://salsa.debian.org/python-team/packages/cumin.git
X-Python3-Version: >= 3.7

Package: cumin
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}
Suggests:
  python3-keystoneauth1,
  python3-keystoneclient,
  python3-novaclient
Description: Automation and orchestration framework written in Python
 Cumin provides a flexible and scalable automation framework to
 execute multiple commands on multiple targets in parallel.
 .
 It allows one to easily perform complex selections of hosts through
 a user-friendly query language which can interface with different
 backend modules.
 .
 The transport layer can also be selected, providing multiple
 execution strategies.
 .
 It can be used both via its command line interface (CLI) and as a
 Python library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = cumin
export PYBUILD_TEST_PYTEST = 1
export PYBUILD_TEST_ARGS = {dir}/cumin/tests/unit

include /usr/share/dpkg/pkg-info.mk

# tell the test suite and build_sphinx about our version number
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	python3 setup.py build_sphinx -b man
	sed -i='' -e 's/^\.B/.B /' doc/build/man/cumin.1
	dh_installman

=== debian/watch ===
version=4

# searchmode: use searchmode plain to search in the JSON returned by the API
# filenamemangle: extract from the URL the GitHub project name (the last path part before /tarball/) and the version,
#                 to generate a resulting tarball named: ${PROJECT_NAME}-${VERSION}.tar.gz
# pgpsigurlmangle: retrieve also the tarball PGP signature assuming it was uploaded with name ${PROJECT_NAME}-v${VERSION}
#                  extracting from the tarball download URL the GitHub username/organization, the GitHub project name and
#                  the version generating the signature URL as required by GitHub
# URL: use the project API URL to get the release information, looking for the tarball URL and extracting the version from
#      the last part of the URL path.
opts=searchmode=plain,\
filenamemangle=s~.+/([^/]+)/tarball/v(@ANY_VERSION@)~$1-$2.tar.gz~,\
pgpsigurlmangle=s~api.github.com/repos/([^/]+)/([^/]+)/tarball/v(@ANY_VERSION@)~github.com/$1/$2/releases/download/v$3/$2-v$3.tar.gz.asc~ \
  https://api.github.com/repos/wikimedia/cumin/releases?per_page=100 https://api\.github\.com/repos/[^/]+/[^/]+/tarball/v([^"]+)

## cumin 5.0.0

=== debian/changelog ===
cumin (5.0.0-1) unstable; urgency=medium

  * v5.0.0 upstream release (Closes: #1042262)
  * Bumped Standards-Version to 4.7.0.
  * Set minimum Python version to 3.9.
  * Updated Copyright year.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Thu, 16 Jan 2025 19:00:06 -0000

cumin (4.2.0-3) unstable; urgency=medium

  * Make manpage build step compatible with newer Sphinx 7.1 using
   sphinx-build instead of setup.py build_sphinx.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Fri, 04 Aug 2023 15:38:12 -0000

cumin (4.2.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2.
  * Change Architecture from any to all as the package is pure Python.
  * Add autopkgtest configuration for automated testing.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Tue, 17 Jan 2023 19:45:38 -0000

## cumin 5.1.1

=== debian/changelog ===
cumin (5.1.1-1) unstable; urgency=medium

  * v5.1.1 upstream release.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Fri, 14 Mar 2025 11:09:41 -0000

cumin (5.1.0-1) unstable; urgency=medium

  * v5.1.0 upstream release.

 -- Riccardo Coccioli <rcoccioli@wikimedia.org>  Thu, 13 Mar 2025 09:16:11 -0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Riccardo Coccioli <rcoccioli@wikimedia.org>
 Uploaders: Antoine Beaupré <anarcat@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Build-Depends:
-  debhelper (>= 12),
+  debhelper (>= 13),
+  debhelper-compat (= 13),
   dh-python (>= 3.20190308~),
-  python3-all (>= 3.7),
+  python3-all (>= 3.9),
   python3-clustershell,
   python3-keystoneauth1,
   python3-keystoneclient,
@@ -28,10 +29,10 @@
 Homepage: https://github.com/wikimedia/cumin
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cumin/
 Vcs-Git: https://salsa.debian.org/python-team/packages/cumin.git
-X-Python3-Version: >= 3.7
+Rules-Requires-Root: no
 
 Package: cumin
-Architecture: any
+Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
 Suggests:
   python3-keystoneauth1,

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,6 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_installman:
-	python3 setup.py build_sphinx -b man
+	PYTHONPATH=. sphinx-build -b man doc/source/ doc/build/man
 	sed -i='' -e 's/^\.B/.B /' doc/build/man/cumin.1
 	dh_installman

=== debian/tests/control ===
Test-Command: for py3 in $(py3versions -s); do echo "[*] testing cumin's version on $py3:"; cumin --version ; done
Depends:
 @,
 python3-all,

Test-Command: for py3 in $(py3versions -s); do echo "[*] testing import cumin on $py3:"; $py3 -c 'import cumin; print(cumin.__version__)' ; done
Depends:
 @,
 python3-all,

Tests:
 help
 man
Depends:
 @,
 coreutils,
 man-db,

Tests: smoke
Restrictions:
 allow-stderr,
 isolation-container,
Depends:
 @,
 coreutils,
 openssh-client,
 openssh-server,
